## python-cx-oracle 8.3.0

=== doc/Makefile ===
# Makefile to generate cx_Oracle documentation using Sphinx

SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SOURCEDIR     = src
BUILDDIR      = build

.PHONY: html
html:
	@$(SPHINXBUILD) -M html $(SOURCEDIR) $(BUILDDIR) $(SPHINXOPTS)

.PHONY: epub
epub:
	@$(SPHINXBUILD) -M epub $(SOURCEDIR) $(BUILDDIR) $(SPHINXOPTS)

.PHONY: pdf
pdf:
	@$(SPHINXBUILD) -M latexpdf $(SOURCEDIR) $(BUILDDIR) $(SPHINXOPTS)

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

=== doc/requirements.txt ===
sphinx==4.1.2
sphinx_rtd_theme==0.5.1

## python-cx-oracle 7.3

=== debian/changelog ===
python-cx-oracle (7.3.debian-0.1+deb9u1) UNRELEASED; urgency=medium

  * Backport to Debian 9/stretch.  (Builds on stretch with "export
    DEB_BUILD_PROFILES=nodoc".)
    - d/control: Build-Depends: change debhelper-compat (= 12) to debhelper
      (>= 10),
    - d/compat: added, "10".
    - d/rules: change --with python3,sphinxdoc in --with python3

 -- Joost van Baal-Ilic <joostvb+debian@uvt.nl>  Fri, 08 Jan 2021 15:10:22 +0000

python-cx-oracle (7.3.debian-0.1) UNRELEASED; urgency=medium

  * Initial release (Closes: #nnnn)

 -- Adam Cecile <acecile@le-vert.net>  Thu, 19 Mar 2020 11:09:11 +0100

=== debian/control ===
Source: python-cx-oracle
Section: python
Priority: optional
Maintainer: Adam Cecile <acecile@le-vert.net>
Build-Depends: debhelper (>= 10),
 dh-python,
 dh-sequence-sphinxdoc <!nodoc>,
 python3-all-dev,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Standards-Version: 4.5.0
Homepage: https://github.com/oracle/python-cx_Oracle
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cx-oracle
Vcs-Git: https://salsa.debian.org/python-team/packages/python-cx-oracle.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-cx-oracle
Architecture: any
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
Suggests: python-cx-oracle-doc
Description: Python interface to Oracle Database (Python 3)
 cx_Oracle is a Python extension module that enables access to Oracle
 Database.
 .
 It conforms to the Python database API 2.0 specification with a considerable
 number of additions and a couple of exclusions.
 .
 You can use cx_Oracle with Oracle 11.2, 12, 18 and 19 client libraries.
 .
 This package installs the library for Python 3.

Package: python-cx-oracle-doc
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Python interface to Oracle Database (common documentation)
 cx_Oracle is a Python extension module that enables access to Oracle
 Database.
 .
 It conforms to the Python database API 2.0 specification with a considerable
 number of additions and a couple of exclusions.
 .
 You can use cx_Oracle with Oracle 11.2, 12, 18 and 19 client libraries.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export PYBUILD_NAME=cx-oracle

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/src/ build/html
endif

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/python3-cx-oracle/usr/cx_Oracle-doc/

## python-cx-oracle 8.3.0

=== debian/changelog ===
python-cx-oracle (8.3.0-3build7) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:52:04 +0000

python-cx-oracle (8.3.0-3build6) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 23:26:52 +0000

python-cx-oracle (8.3.0-3build5) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 09:57:07 +0100

python-cx-oracle (8.3.0-3build4) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 10:42:16 +0000

python-cx-oracle (8.3.0-3build3) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 17:40:21 +0000

python-cx-oracle (8.3.0-3build2) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Feb 2023 19:30:33 -0500

python-cx-oracle (8.3.0-3build1) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 02 Nov 2022 10:51:24 +0000

python-cx-oracle (8.3.0-3) unstable; urgency=medium

  * [9adce37] teach autopkgtest-pkg-python that this module is spelled cx_Oracle

 -- Joseph Nahmias <jello@debian.org>  Fri, 20 May 2022 11:26:21 -0400

python-cx-oracle (8.3.0-2) unstable; urgency=medium

  * [271074e] update Homepage URL
  * [beed969] enable salsa CI

 -- Joseph Nahmias <jello@debian.org>  Wed, 26 Jan 2022 22:26:14 -0500

python-cx-oracle (8.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #877946)
  * drop odpi-c library included in prior version, it is now packaged
    separately
  * [4e12ec2] drop README.source discussing odpi git submodule
  * [ffcb6b6] move to contrib
  * [92aa766] build-dep on odpic-dev
  * [008ad26] docs now use the ReadTheDocs sphinx theme
  * [9ff47a6] use system libodpi4
  * [ffe49bd] support SOURCE_DATE_EPOCH for reproducibility
  * [aa18b91] install README & CONTRIBUTING
  * [ab57f33] bump debhelper and std-ver; no changes
  * [a06d856] add d/watch
  * [37972f2] add doc-base entry for cx_Oracle documentation

 -- Joseph Nahmias <jello@debian.org>  Wed, 24 Nov 2021 14:53:58 -0500

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,13 @@
 
 export PYBUILD_NAME=cx-oracle
 
+# use system libodpi4
+include /usr/share/dpkg/architecture.mk
+export ODPIC_INC_DIR=/usr/include
+export ODPIC_LIB_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)
+
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-cx-oracle-$1.tar.gz%" \
   https://github.com/oracle/python-cx_Oracle/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
